Nativescript Found peer TypeScript 2.2.2 Cannot find module ‘@angular/upgrade/static’.

   

Nativescriptの開発を進めていたら、タイトルのエラーが出てきました

状況としてはAndroidのplatformを削除してもう一度生成しようとしたところエラーに見舞われた、という形です

結論としては app/tns_modules を削除することで解決することができます

※なぜtns_modulesが作られたかは調べておりませんので、もし調べてわかった方がいらっしゃいましたら、コメントいただけると幸いです

参考にした記事

multiple errors when building for android and ios #916

 - Android, Angular, Java, Javascript, NativeScript, node.js, typescript , , , , ,